package p12_kolekcje.zbieranie_danych;

import java.text.Collator;
import java.util.Locale;
import java.util.Scanner;
import java.util.Set;
import java.util.TreeSet;

public class P4_TreeSet {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        // Set<String> zbior = new TreeSet<>();
        Set<String> zbior = new TreeSet<>(Collator.getInstance());
        // Set<String> zbior = new TreeSet<>(Collator.getInstance(Locale.of("pl", "PL")));
        
        while(true) {
            System.out.print("Podaj imię: ");
            String imie = scanner.nextLine();
            if(imie.isEmpty()) break;
            zbior.add(imie);
        }
        
        System.out.println("Liczba elementów: " + zbior.size());
        System.out.println("Cały zbiór: " + zbior);
        System.out.println();
        
        // Podstawowa operacja odczytu dla zbioru (poza pętlą for-each) to sprawdzenie, czy wartość należy do zbioru.
        System.out.println("Podawaj imiona, aby sprawdzić, czy należą do zbioru. Aby zakończyć, podaj pusty napis.");
        while(true) {
            System.out.print("imię: ");
            String imie = scanner.nextLine();
            if(imie.isEmpty()) break;
            if(zbior.contains(imie)) {
                System.out.println("Imię " + imie + " należy do zbioru.");
            } else {
                System.out.println("Imię " + imie + " NIE należy do zbioru.");
            }
        }
        System.out.println("KONIEC");
    }

}
